<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:exslt="http://exslt.org/common" xmlns:isee="http://iseesystems.com/XMILE" xmlns:_="http://www.systemdynamics.org/XMILE" xmlns:DEFAULT="http://www.systemdynamics.org/XMILE" version="1.0" extension-element-prefixes="exslt">
  <xsl:output method="html" omit-xml-declaration="yes" indent="no"/>
  <xsl:template match="/">
    <xsl:call-template name="t1"/>
    <xsl:call-template name="t2"/>
    <xsl:call-template name="t3"/>
    <xsl:call-template name="t4"/>
  </xsl:template>
  <xsl:template name="t1">
    <strong><xsl:text>Stocks:</xsl:text></strong>
    <br/>
    <xsl:for-each select="_:xmile/_:model/_:stock">
      <xsl:sort select="@name"/>
      <em>
        <xsl:call-template name="value-of-template">
          <xsl:with-param name="select" select="@name"/>
        </xsl:call-template>
      </em>
      <xsl:text>: </xsl:text>
      <xsl:call-template name="value-of-template">
        <xsl:with-param name="select" select="_:eqn"/>
      </xsl:call-template>
      <br/>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="t2">
    <br/>
    <strong><xsl:text>Flows:</xsl:text></strong>
    <br/>
    <xsl:for-each select="_:xmile/_:model/_:flow">
      <xsl:sort select="@name"/>
      <em>
        <xsl:call-template name="value-of-template">
          <xsl:with-param name="select" select="@name"/>
        </xsl:call-template>
      </em>
      <xsl:text>: </xsl:text>
      <xsl:call-template name="value-of-template">
        <xsl:with-param name="select" select="_:eqn"/>
      </xsl:call-template>
      <br/>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="t3">
    <br/>
    <strong><xsl:text>Converters:</xsl:text></strong>
    <br/>
    <xsl:for-each select="_:xmile/_:model/_:aux">
      <xsl:sort select="@name"/>
      <em>
        <xsl:call-template name="value-of-template">
          <xsl:with-param name="select" select="@name"/>
        </xsl:call-template>
      </em>
      <xsl:text>: </xsl:text>
      <xsl:call-template name="value-of-template">
        <xsl:with-param name="select" select="_:eqn"/>
      </xsl:call-template>
      <br/>
    </xsl:for-each>
  </xsl:template>
  <xsl:template name="t4">
    <br/>
    <strong><xsl:text>Total Entities: </xsl:text></strong>
    <xsl:call-template name="value-of-template">
      <xsl:with-param name="select" select="count(_:xmile/_:model/_:stock) + count(_:xmile/_:model/_:flow) + count(_:xmile/_:model/_:aux)"/>
    </xsl:call-template>
    <br/>
  </xsl:template>
  <xsl:template name="value-of-template">
    <xsl:param name="select"/>
    <xsl:value-of select="$select"/>
  </xsl:template>
</xsl:stylesheet>
